sayren Docs
주문 상품 처리

주문상품 플로우 조회(지금 상태·할 수 있는 행동·타이머)

GET
/v1/order-items/{orderItemId}/flow

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

orderItemId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/order-items/string/flow' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "orderItemId": "string",    "flow": {      "flowId": "string",      "version": 0    },    "flowState": {      "key": "string",      "label": "string",      "coreStatus": "PAYMENT_WAITING",      "claimStatus": "REQUESTED",      "message": "string",      "enteredAt": "string",      "deadlineAt": "string",      "attachments": [        "string"      ],      "earlierAttachments": [        "string"      ],      "inputs": {        "by": "string",        "values": [          {            "key": "string",            "label": "string",            "type": "string",            "value": "string",            "display": "string"          }        ]      },      "progress": true,      "fields": {        "property1": "string",        "property2": "string"      }    },    "actions": [      {        "key": "string",        "label": "string",        "mode": "INSTANT",        "enabled": true,        "disabled": {          "reason": "string",          "message": "string"        },        "availableUntil": "string",        "subflow": "string",        "input": [          {            "key": "string",            "type": "string",            "required": true,            "label": "string",            "placeholder": "string",            "maxLength": 0,            "maxFiles": 0,            "options": [              "string"            ],            "when": {              "key": "string",              "in": [                "string"              ]            }          }        ],        "partialQuantity": true,        "attachments": "REQUIRED"      }    ],    "timers": [      {        "key": "string",        "dueAt": "string",        "paused": true      }    ],    "ended": true,    "moveTargets": [      {        "key": "string",        "label": "string",        "coreStatus": "PAYMENT_WAITING"      }    ],    "branches": [      {        "key": "string",        "label": "string",        "coreStatus": "PAYMENT_WAITING",        "claimStatus": "REQUESTED",        "message": "string",        "enteredAt": "string",        "deadlineAt": "string",        "attachments": [          "string"        ],        "earlierAttachments": [          "string"        ],        "inputs": {          "by": "string",          "values": [            {              "key": "string",              "label": "string",              "type": "string",              "value": "string",              "display": "string"            }          ]        },        "progress": true,        "fields": {          "property1": "string",          "property2": "string"        }      }    ]  },  "error": null}